| Home | Libraries | People | FAQ | More

###### field::as_uint64 (2 of 2 overloads)

Retrieves a reference to the underlying `std::uint64_t` value or throws an exception.

###### Synopsis

    std::uint64_t&
    as_uint64();

###### Exception safety

Strong guarantee. Throws on type mismatch.

###### Exceptions

Type | Thrown On
--- | ---
`bad_field_access` | If `!this->is_uint64()`

###### Object lifetimes

The returned reference is valid as long as `*this` is alive and no function that invalidates references is called on `*this`.